# Record Class PlannerAction.RunAgents

java.lang.Object
java.lang.Record
com.google.adk.agents.PlannerAction.RunAgents

All Implemented Interfaces:
  `PlannerAction`

Enclosing interface:
  `PlannerAction`

public static record PlannerAction.RunAgents(com.google.common.collect.ImmutableList<BaseAgent> agents) extends Record implements PlannerAction
Run the specified sub-agent(s). Multiple agents are run in parallel.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface PlannerAction

  `PlannerAction.Done, PlannerAction.DoneWithResult, PlannerAction.NoOp, PlannerAction.RunAgents`
  Modifier and Type
  Interface
  Description
  `static final record`
  `PlannerAction.Done`
  Plan is complete, no result to emit.
  `static final record`
  `PlannerAction.DoneWithResult`
  Plan is complete with a final text result.
  `static final record`
  `PlannerAction.NoOp`
  Skip this iteration (no-op).
  `static final record`
  `PlannerAction.RunAgents`
  Run the specified sub-agent(s).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunAgents(BaseAgent singleAgent)`
  `RunAgents(com.google.common.collect.ImmutableList<BaseAgent> agents)`
  Creates an instance of a `RunAgents` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.google.common.collect.ImmutableList<BaseAgent>`
  `agents()`
  Returns the value of the `agents` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RunAgents

    public RunAgents(BaseAgent singleAgent)

  - ### RunAgents

    public RunAgents(com.google.common.collect.ImmutableList<BaseAgent> agents)
    Creates an instance of a `RunAgents` record class.
    Parameters:
      `agents` - the value for the `agents` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### agents

    public com.google.common.collect.ImmutableList<BaseAgent> agents()
    Returns the value of the `agents` record component.
    Returns:
      the value of the `agents` record component